# Uses of Enum Class
com.google.protobuf.WireFormat.JavaType

Packages that use WireFormat.JavaType
Package
Description
com.google.protobuf

## Uses of WireFormat.JavaType in com.google.protobuf

Methods in com.google.protobuf that return WireFormat.JavaType
Modifier and Type
Method
Description
`WireFormat.JavaType`
WireFormat.FieldType.`getJavaType()`
`WireFormat.JavaType`
Descriptors.FieldDescriptor.`getLiteJavaType()`
For internal use only.
`static WireFormat.JavaType`
WireFormat.JavaType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WireFormat.JavaType[]`
WireFormat.JavaType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.